/******************************************************************************
 *  SiteBar XUL - A Firefox sidebar for the SiteBar Bookmark Server.          *
 *  Copyright (C) 2003,2004  Bas Burger																				*
 *	<http://knowledge-emporium.com/forum/index.php?styleid=18> 					      *
 *                                                                            *
 *  This program is free software; you can redistribute it and/or modify      *
 *  it under the terms of the GNU General Public License as published by      *
 *  the Free Software Foundation; either version 2 of the License, or         *
 *  (at your option) any later version.                                       *
 *                                                                            *
 *  This program is distributed in the hope that it will be useful,           *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
 *  GNU General Public License for more details.                              *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License         *
 *  along with this program; if not, write to the Free Software               *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 ******************************************************************************/

// Loads the extension home page in a new tab
function sitebar_visitHomePage(url)
{
    const preferencesService = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");

    // If the open in windows preference is set to true
    if(preferencesService.prefHasUserValue("sitebar.open.windows") && preferencesService.getBoolPref("sitebar.open.windows"))
    {
        window.opener.open(url);
    }
    else
    {
        const newTab = window.opener.getBrowser().addTab(url);

        window.opener.getBrowser().selectedTab = newTab;
    }

    window.close();
}